Bug 431829 - Review Request: thaifonts-scalable - Thai TrueType fonts (renamed to thai-scalable-fonts)
Review Request: thaifonts-scalable - Thai TrueType fonts (renamed to thai-sca...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 225356 (view as bug list)
Depends On:
Blocks: 333371
  Show dependency treegraph
 
Reported: 2008-02-07 01:56 EST by Jens Petersen
Modified: 2009-02-03 04:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 02:05:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-02-07 01:56:22 EST
Spec URL: http://petersen.fedorapeople.org/thaifonts-scalable/thaifonts-scalable.spec
SRPM URL: http://petersen.fedorapeople.org/thaifonts-scalable/thaifonts-scalable-0.4.9-1.fc8.src.rpm
Description: 
Free Thai scalable fonts:
- Kinnari, Garuda and Norasi from the National Font project
- DB Thai Text from DearBook
- TlwgMono, PseudoMono, Purisa by TLWG
Comment 1 Parag AN(पराग) 2008-02-07 03:04:50 EST
build failed with log
---------------------------------------------------------
checking for mkfontscale... no
checking for ttmkfdir... no
configure: error: You need mkfontscale or ttmkfdir
error: Bad exit status from /var/tmp/rpm-tmp.8187 (%build)
----------------------------------------------------------

look like missing BR: ttmkfdir xorg-x11-font-utils
Comment 2 Jens Petersen 2008-02-07 09:22:04 EST
Sorry about that.

Should be fixed with with:

Spec URL:
http://petersen.fedorapeople.org/thaifonts-scalable/thaifonts-scalable.spec
SRPM URL:
http://petersen.fedorapeople.org/thaifonts-scalable/thaifonts-scalable-0.4.9-2.fc8.src.rpm

BTW please ignore the dist tag of the srpm.  The current package requires the
fontforge in rawhide to build.  For F8 we probably need to ship a slightly
older release for it to build.
Comment 3 Parag AN(पराग) 2008-02-07 23:10:08 EST
+ is OK 
- is Needs work

Review:
+ package builds in mock.
koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=402237
- rpmlint is NOT silent for SRPM and for RPM.
thaifonts-scalable.noarch: W: conffile-without-noreplace-flag
/etc/fonts/conf.avail/90-ttf-thai-tlwg-synthetic.conf
==>%config(noreplace) /etc/fonts/conf.avail/90-ttf-thai-tlwg-synthetic.conf

+ source files match upstream url
9dbeef8d508d199cafb69152cf9a762d  thaifonts-scalable-0.4.9.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.


SHOULD:
    1) you can write only rm also instead to write /bin/rm
    2) your make install command should be
       make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

APPROVED.
Comment 4 Jens Petersen 2008-02-07 23:37:34 EST
Thanks for the review. :)

> thaifonts-scalable.noarch: W: conffile-without-noreplace-flag
> /etc/fonts/conf.avail/90-ttf-thai-tlwg-synthetic.conf

I think conf.avail files do not need to be noreplace: they can be copied
and edited in conf.d if necessary.

> SHOULD:
>     1) you can write only rm also instead to write /bin/rm
>     2) your make install command should be
>        make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

Thanks, I will fix those before importing.
Comment 5 Jens Petersen 2008-02-07 23:54:42 EST
New Package CVS Request
=======================
Package Name: thaifonts-scalable
Short Description: Thai TrueType fonts
Owners: petersen
Branches: F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 6 Jens Petersen 2008-02-07 23:56:27 EST
*** Bug 225356 has been marked as a duplicate of this bug. ***
Comment 7 Jens Petersen 2008-02-08 01:13:15 EST
cvs admin done
Comment 8 Jens Petersen 2008-02-08 02:05:31 EST
Package imported and built.
Comment 9 Jens Petersen 2009-02-03 04:24:17 EST
This package has been renamed to thai-scalable-fonts as part of the new fonts packaging process (bug 477465).

Note You need to log in before you can comment on or make changes to this bug.